LSPNP(8)

NAME
lspnp - list Plug and Play BIOS device nodes and resources

SYNOPSIS
lspnp [-b] [-v[v]] [device ...]

DESCRIPTION
This utility presents a formatted interpretation of the contents of the /proc/bus/pnp tree. Its default output is a list of Plug and Play device node numbers, product identifiers, and descriptions. Verbose output (-v) includes resource allocations (IO ports, memory, interrupts, and DMA channels) for each device. Very verbose output (-vv) includes lists of possible resources, various configuration flags, and product identifiers for compatible devices.

The output can be limited to one or more specific device nodes by specifying their two-digit hex node numbers on the command line. By default, current (dynamic) device configuration information is displayed; with the -b option, the boot (static) configuration is shown.

OPTIONS

-b  Boot mode: read device resource information that will be used at next boot (as opposed to current resource info).

-v  Selects more verbose output. Can be used more than once.

FILES

/usr/share/pnp.ids
    A database of known Plug and Play device ID's.

/proc/bus/pnp/...
    The kernel interface for Plug and Play BIOS device services.

AUTHORS
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
setpnp(8)